CatalogProducts
Assign customizations in bulk
Assigns or removes customizations on products selected by IDs or filters.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.ecomiq.pe/api/v1/catalog/products/batch/modifier-groups" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "filters": { "productIds": [ "7204558912004322039" ], "skuIds": [ "7204558912004326949" ], "skus": [ "Polo de algodón" ], "search": "polo", "status": [ "draft" ], "excludeStatus": [ "draft" ], "includeArchived": false, "categoryIds": [ "7204558912004327982" ] }, "ids": [ "7204558912004324355" ], "addModifierGroupIds": [ "7204558912004328071" ], "removeModifierGroupIds": [ "7204558912004322668" ] }'{ "results": [ { "index": 0, "id": "7204558912004323810", "status": "updated", "errors": [] } ]}